module DLTokens where

data Token = 
      TInt
    | TBool 
    | LBrace 
    | RBrace 
    | LBrack 
    | RBrack 
    | LPar 
    | RPar 
    | DLIf 
    | DLThen 
    | DLElse
    | Print 
    | Assign 
    | OpAnd 
    | OpEq 
    | OpLt 
    | OpPlus 
    | OpMinus 
    | OpTimes 
    | CTrue 
    | CFalse 
    | Comma 
    | Semicol 
    | IVal Int
    | Id String 
 deriving (Eq,Read,Show)
